Skip to main content
GET
/
status
Get status
curl --request GET \
  --url https://api.onswitch.xyz/status \
  --header 'x-service-key: <api-key>'
{
  "success": true,
  "message": "Payment status fetched successfully",
  "timestamp": "2024-01-01T00:00:00.000Z",
  "data": {
    "id": "507f1f77bcf86cd799439011",
    "status": "PENDING",
    "type": "OFFRAMP",
    "reference": "550e8400-e29b-41d4-a716-446655440000",
    "rate": 1500.5,
    "source": {
      "amount": 100,
      "currency": "USDC"
    },
    "destination": {
      "amount": 150050,
      "currency": "NGN"
    },
    "deposit": {
      "bank_name": "Example Bank",
      "bank_code": "058",
      "account_name": "John Doe",
      "account_number": "0123456789"
    },
    "confirmed": false,
    "finalized": false,
    "hash": null,
    "explorer_url": null,
    "meta": null,
    "created_at": "2024-01-01T00:00:00.000Z",
    "updated_at": "2024-01-01T00:00:00.000Z"
  }
}

Authorizations

x-service-key
string
header
required

Service key for API authentication

Query Parameters

reference
string<uuid>
required

The unique transaction reference identifier

Response

Successfully retrieved transaction status

success
boolean
required
status
integer
required
message
string
required
timestamp
string<date-time>
required
data
object
required